View Issue Details

IDProjectCategoryView StatusLast Update
0002727Far ManagerMacropublic2014-08-27 15:06
ReporterJohnDoeAssigned Tozg 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002727: MCTL_GETAREA работает неверно если плагин вызван из меню
Description1) Если плагин в GetPluginInfoW (при открытии меню плагинов) вызовет MCTL_GETAREA, то возвращается всегда MACROAREA_DIALOG
http://forum.farmanager.com/viewtopic.php?p=120069#p120069

2) Если плагин запущен из меню плагинов, то в OpenW использовать MCTL_GETAREA тоже бесполезно
TagsNo tags attached.
Build4059

Activities

shmuel

2014-08-20 00:51

developer   bugnote:0012872

Похоже, что в 4059 это исправлено.

JohnDoe

2014-08-27 15:04

updater   bugnote:0012936

Проверил в MenuItem, всё работает (и в action, и в text).

Issue History

Date Modified Username Field Change
2014-07-08 01:17 JohnDoe New Issue
2014-08-20 00:51 shmuel Note Added: 0012872
2014-08-21 11:41 shmuel Assigned To => zg
2014-08-21 11:41 shmuel Status new => feedback
2014-08-27 15:04 JohnDoe Note Added: 0012936
2014-08-27 15:04 JohnDoe Status feedback => assigned
2014-08-27 15:06 shmuel Build => 4059
2014-08-27 15:06 shmuel Status assigned => closed
2014-08-27 15:06 shmuel Resolution open => fixed
2014-08-27 15:06 shmuel Fixed in Version => 3.0